#!/bin/bash

source ./cappello_batch.sh

source ./.env.prod.gruppomacro

cp .env.prod.gruppomacro .env.production

msg="*** IN PRODUZIONE !!!!!   SEI SICURO DI INVIARE GLI AGGIORNAMENTI SUL SERVER DI PRODUZIONE ?? $SERVERDIR_WEBSITE  (Y/N) ? "

if [ "$1" = "" ]; then
  read -p "$msg" risposta
else
  echo $msg
  risposta=$1
fi


if [[ $risposta == "Y" || $risposta == "y" ]]; then

  mv public/upload/products ../../
  mv public/upload/profile ../../

  npm run buildpwa

  mv ../../products public/upload/
  mv ../../profile public/upload/

  echo "Sincronizzazione in remoto $SERVERDIR_WEBSITE ..."
  rsync -e 'ssh -p 8822' -a dist/pwa/ pcbuser@pcb:$SERVERDIR_WEBSITE
  #rsync -e 'ssh -p 8822' -av --delete dist/pwa/js/ pcbuser@pcb:$SERVERDIR_WEBSITE/js
  rsync -e 'ssh -p 8822' -a dist/pwa/js/ pcbuser@pcb:$SERVERDIR_WEBSITE/js

  echo "Finito $SERVERDIR_WEBSITE "

fi
